replicaCount: 1

rollingUpdate:
  maxSurge: 1
  maxUnavailable: 1

image:
  name: nginx:1.11
  pullPolicy: IfNotPresent

imagePullSecrets: []

nameOverride: "polygon"
fullnameOverride: "polygon"

service:
  type: ClusterIP
  port: 9000
  targetPort: 9000

env:
  open: []
  secret: []

vault:
  enabled: false

ingress:
  enabled: false
  annotations:
    kubernetes.io/ingress.class: nginx
  hosts:
    - host: chart-example.choco.kz
      paths:
        - /
  tls:
    - secretName: chart-example-tls
      hosts:
        - chart-example.choco.kz

resources:
  limits:
    cpu: 100m
    memory: 128Mi
  requests:
    cpu: 100m
    memory: 128Mi

extraVolumeMounts: []

#  - name: timezone
#    mountPath: /etc/localtime
#    readOnly: true

extraVolumes: []

#  - name: timezone
#    hostPath:
#      path: /usr/share/zoneinfo/Asia/Almaty
#      type: ""

nodeSelector: []

tolerations: []

affinity: {}

livenessProbe:
    exec:
        command:
            - /bin/sh
            - -c
            - php /srv/www/app/healthcheck.php
    initialDelaySeconds: 15
    periodSeconds: 10
    successThreshold: 1
    failureThreshold: 10

startupProbe:
    exec:
        command:
            - /bin/sh
            - -c
            - php /srv/www/app/healthcheck.php
    initialDelaySeconds: 15
    periodSeconds: 10
    successThreshold: 1
    failureThreshold: 30

readinessProbe:
    exec:
        command:
            - /bin/sh
            - -c
            - php /srv/www/app/healthcheck.php
    initialDelaySeconds: 5
    periodSeconds: 10
    failureThreshold: 3
    successThreshold: 1
